# Uses of Enum Class
org.snpsift.annotate.mem.VariantCategory

Packages that use VariantCategory
Package
Description
org.snpsift.annotate.mem
org.snpsift.annotate.mem.database
org.snpsift.annotate.mem.dataFrame
org.snpsift.annotate.mem.variantTypeCounter
org.snpsift.util

## Uses of VariantCategory in org.snpsift.annotate.mem

Methods in org.snpsift.annotate.mem that return VariantCategory
Modifier and Type
Method
Description
`static VariantCategory`
VariantCategory.`of(org.snpeff.interval.Variant variant)`
`static VariantCategory`
VariantCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantCategory[]`
VariantCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of VariantCategory in org.snpsift.annotate.mem.database

Methods in org.snpsift.annotate.mem.database with parameters of type VariantCategory
Modifier and Type
Method
Description
`DataFrame`
VariantDataFrame.`getDataFrameByCategory(VariantCategory category)`

## Uses of VariantCategory in org.snpsift.annotate.mem.dataFrame

Constructors in org.snpsift.annotate.mem.dataFrame with parameters of type VariantCategory
Modifier
Constructor
Description
``
`DataFrame(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory, boolean hasRefs, boolean hasAlts)`
``
`DataFrameDel(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameMixed(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameMnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameOther(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameSnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Uses of VariantCategory in org.snpsift.annotate.mem.variantTypeCounter

Methods in org.snpsift.annotate.mem.variantTypeCounter with parameters of type VariantCategory
Modifier and Type
Method
Description
`int`
VariantTypeCounter.`getCount(VariantCategory variantCategory)`
`int`
VariantTypeCounter.`getSize(VariantCategory variantCategory, String field)`
Get total size (in bytes) of a field (only string fields)
`protected void`
VariantTypeCounter.`updateSizes(VariantCategory variantCategory, String field, String value)`
Update sizes for a field

## Uses of VariantCategory in org.snpsift.util

Methods in org.snpsift.util with parameters of type VariantCategory
Modifier and Type
Method
Description
`org.snpeff.util.Tuple<String,String>`
RandomUtil.`randVariant(VariantCategory variantCategory)`
`String`
RandomUtil.`randVariantAlt(VariantCategory variantCategory, String ref)`
`String`
RandomUtil.`randVariantRef(VariantCategory variantCategory)`